Package com.sas.services.information

# Class AutoConnectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.information.AutoConnectException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

public class AutoConnectException extends ServiceException implements Serializable
An exception class used to report failure to connect to a repository defined as auto-connect. This is to allow the client code to catch this and ignore it or act on as it sees fit.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoConnectException()`
  Default constructor that uses a default exception message.
  `AutoConnectException(String message)`
  Constructs an instance using the specified message to detail the cause of the exception.
  `AutoConnectException(Throwable throwable, String message)`
  Constructs an instance using the specified message and a throwable that prompted creation of this service exception.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AutoConnectException

    public AutoConnectException()
    Default constructor that uses a default exception message.

  - ### AutoConnectException

    public AutoConnectException(String message)
    Constructs an instance using the specified message to detail the cause of the exception.
    Parameters:
      `message` - Exception message.

  - ### AutoConnectException

    public AutoConnectException(Throwable throwable, String message)
    Constructs an instance using the specified message and a throwable that prompted creation of this service exception.
    Parameters:
      `throwable` - Throwable that prompted the exception.
      `message` - Exception message.